Create volume
POST
/api/v1/volume/create
const url = 'https://console.cloudlogics.com/api/v1/volume/create';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"name":"example","size":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://console.cloudlogics.com/api/v1/volume/create \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "size": "example" }'Create a new volume in the authenticated user’s project
Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Volume creation request
Media typeapplication/json
object
name
string
size
string
Examplegenerated
{ "name": "example", "size": "example"}Responses
Section titled “Responses”Created volume
Media typeapplication/json
object
key
additional properties
any
Examplegenerated
{}Bad request
Media typeapplication/json
object
data
error
object
code
integer
message
string
page
object
next
string
prev
string
total_size
integer
Examplegenerated
{ "data": "example", "error": { "code": 1, "message": "example" }, "page": { "next": "example", "prev": "example", "total_size": 1 }}Internal server error
Media typeapplication/json
object
data
error
object
code
integer
message
string
page
object
next
string
prev
string
total_size
integer
Examplegenerated
{ "data": "example", "error": { "code": 1, "message": "example" }, "page": { "next": "example", "prev": "example", "total_size": 1 }}